Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Update a Subscription


This topic describes how to update a webhook subscription, such as updating the notification scope, health check URL, or retry policy. Include only the fields that you want to update in your request.

This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.

Endpoint

Send a PATCH request to this endpoint. The {webhookId} is the webhook subscription ID.

PATCH /notification-subscriptions/v2/webhooks/{webhookId}

PATCH /notification-subscriptions/v2/webhooks/{webhookId}

PATCH /notification-subscriptions/v2/webhooks/{webhookId}

Example

Request

{  "name": "My Sample Webhook",  "description": "Sample decision manager webhook reject event.",  "products": [    {      "productId": "decisionManager",      "eventTypes": [        "risk.profile.decision.reject"      ]    }  ],  "webhookUrl": "https://MyWebhookServer.com:8443:/simulateClient",  "healthCheckUrl": "https://MyWebhookServer.com:8443:/simulateClientHealthCheck",  "notificationScope": {    "scope": "CUSTOM"  }}

Optional Fields

FieldDescription
deactivateflagRequired if the healthCheckUrl field is present. Set to true to automatically activate the subscription.
descriptionDescription of the webhook subscription.
healthCheckUrlSet to the health check URL. Required to auto-activate the subscription. If you do not include this field, the created subscription is inactive. An inactive subscription does not send notifications.
nameName of the webhook subscription.
organizationIdSet to your organization ID or merchant ID.
products.eventTypesFor a list of event types, see Products and Events.
products.productIdFor a list of product IDs, see Products and Events.
retryPolicy.deactivateFlagFor more information, see Optional Retry Policy Setup.
retryPolicy.firstRetryFor more information, see Optional Retry Policy Setup.
retryPolicy.intervalFor more information, see Optional Retry Policy Setup.
retryPolicy.numberOfRetriesFor more information, see Optional Retry Policy Setup.
retryPolicy.repeatSequenceCountFor more information, see Optional Retry Policy Setup.
retryPolicy.repeatSequenceWaitTimeFor more information, see Optional Retry Policy Setup.
securityPolicy.config.additionalConfig.aud
securityPolicy.config.additionalConfig.client_id
securityPolicy.config.additionalConfig.keyId
securityPolicy.config.additionalConfig.scope
securityPolicy.config.oAuthUrl
webhookUrlThe URL in your system to which webhook notifications are sent.

Response Codes

A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.

Last published: October 28, 2026